device(1).
job(30).
instances(1,2).
device(2).
instances(2,1).
device(3).
instances(3,2).
device(4).
instances(4,1).
device(5).
instances(5,1).
job(1).
job(31).
job(32).
job(33).
job(2).
job(3).
job(4).
job(5).
job(6).
job(7).
job(8).
job(9).
job(10).
job(11).
job(12).
job(13).
job(14).
job(15).
job(16).
job(17).
job(18).
job(19).
job(20).
job(21).
job(22).
job(23).
job(24).
job(25).
job(26).
job(27).
job(28).
job(29).
job_device(21,5).
job_device(24,5).
job_device(27,5).
job_device(30,5).
job_device(33,5).
job_len(33,5).
job_len(32,12).
job_len(31,15).
job_len(30,8).
job_len(29,14).
job_len(28,4).
precedes(1,2).
precedes(2,3).
precedes(4,5).
precedes(5,6).
precedes(7,8).
precedes(8,9).
precedes(10,11).
precedes(11,12).
precedes(13,14).
precedes(14,15).
precedes(16,17).
precedes(17,18).
precedes(19,20).
precedes(20,21).
precedes(22,23).
precedes(23,24).
precedes(25,26).
precedes(26,27).
precedes(28,29).
precedes(29,30).
precedes(31,32).
precedes(32,33).
importance(33,2).
importance(32,2).
importance(31,3).
importance(30,2).
importance(29,1).
importance(28,1).
importance(27,3).
importance(26,3).
importance(25,2).
importance(24,2).
importance(23,1).
importance(22,1).
importance(21,1).
importance(20,3).
importance(19,2).
importance(18,3).
importance(17,2).
importance(16,2).
importance(15,1).
importance(14,1).
importance(13,3).
importance(12,3).
importance(11,3).
importance(10,3).
importance(9,1).
importance(8,3).
importance(7,1).
importance(6,2).
importance(5,1).
importance(4,2).
importance(3,2).
importance(2,3).
importance(1,3).
job_device(1,2).
job_device(4,1).
job_device(7,2).
job_device(10,2).
job_device(13,1).
job_device(16,1).
job_device(19,1).
job_device(22,1).
job_device(25,2).
job_device(28,2).
job_device(31,2).
job_device(2,3).
job_device(5,3).
job_device(8,3).
job_device(11,4).
job_device(14,3).
job_device(17,4).
job_device(20,4).
job_device(23,4).
job_device(26,3).
job_device(29,4).
job_device(32,4).
job_device(3,5).
job_device(6,5).
job_device(9,5).
job_device(12,5).
job_device(15,5).
job_device(18,5).
job_len(27,6).
job_len(26,3).
job_len(25,6).
job_len(24,3).
job_len(23,20).
job_len(22,8).
job_len(21,8).
job_len(20,10).
job_len(19,10).
job_len(18,12).
job_len(17,18).
job_len(16,5).
job_len(15,15).
job_len(14,12).
job_len(13,12).
job_len(12,16).
job_len(11,7).
job_len(10,8).
job_len(9,18).
job_len(8,16).
job_len(7,12).
job_len(6,20).
job_len(5,20).
job_len(4,16).
job_len(3,5).
job_len(2,18).
job_len(1,9).
deadline(3,23).
deadline(6,24).
deadline(9,35).
deadline(12,36).
deadline(15,32).
deadline(18,38).
deadline(21,29).
deadline(24,16).
deadline(27,37).
deadline(30,22).
deadline(33,29).
offline_instance(1,2).
offline_instance(3,1).
max_total_penalty(1263).
curr_job_start(30,39).
curr_job_start(18,47).
curr_job_start(15,24).
curr_job_start(9,79).
curr_job_start(6,59).
curr_job_start(29,4).
curr_job_start(17,18).
curr_job_start(14,12).
curr_job_start(8,24).
curr_job_start(5,21).
curr_job_start(28,0).
curr_job_start(7,4).
curr_job_start(16,0).
curr_job_start(13,0).
curr_job_start(4,5).
curr_on_instance(30,1).
curr_on_instance(29,1).
curr_on_instance(28,1).
curr_on_instance(18,1).
curr_on_instance(17,1).
curr_on_instance(16,1).
curr_on_instance(15,1).
curr_on_instance(14,2).
curr_on_instance(13,2).
curr_on_instance(9,1).
curr_on_instance(8,2).
curr_on_instance(7,1).
curr_on_instance(6,1).
curr_on_instance(5,1).
curr_on_instance(4,1).
curr_time(59).
max_value(1417).

